Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 17191)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 17192)
@@ -2455,24 +2704,27 @@
 
   }
- 
-
-    /********************************************************
-    * List_autosize_resize
-    ********************************************************/
-    function List_autosize_resize(event, ui) {
-      if (typeof wait_resize == "undefined") wait_resize = false;
-      if (wait_resize == true) return;
-      wait_resize = true;
-      if (List_autosize.length == 0) return;
-      for (i = 0; i < List_autosize.length; i++) {
-        Autosize_resize(jQuery(List_autosize[i]));
-      }
-      wait_resize = false;
-      return true;
+
+  /********************************************************
+  * List_autosize_resize
+  ********************************************************/
+  function List_autosize_resize(event, ui) {
+    if (typeof wait_resize == "undefined") wait_resize = false;
+    if (wait_resize == true) return;
+    wait_resize = true;
+    if (List_autosize.length == 0) return;
+    for (i = 0; i < List_autosize.length; i++) {
+      Autosize_resize(jQuery(List_autosize[i]));
     }
-
-
-
+    wait_resize = false;
+    return true;
+  }
+
+
+  jQuery("#derivativeSwitchBox a").mouseover(function () {
+    nu_img = 0;
+  });
 
 
   /**/
+
+})(jQuery);
Index: /extensions/Autosize/js/autosize.dimensions.js
===================================================================
--- /extensions/Autosize/js/autosize.dimensions.js	(revision 17191)
+++ /extensions/Autosize/js/autosize.dimensions.js	(revision 17192)
@@ -49,6 +49,7 @@
   *
   */
-  jQuery.each(['Left', 'Top'],
+  jQuery.each(['Left', 'Top', 'Right', 'Bottom', 'All'],
     function (i, name) {
+      //========== scroll =================
       jQuery.fn['scroll' + name] = function (val) {
         if (!this[0]) return;
@@ -58,28 +59,37 @@
         }) : this[0] == window || this[0] == document ? self[(name == 'Left' ? 'pageXOffset' : 'pageYOffset')] || jQuery.boxModel && document.documentElement['scroll' + name] || document.body['scroll' + name] : this[0]['scroll' + name];
       };
-      //================================================
-      jQuery.fn['absolute' + name] = function (val) {
-        if (!this[0]) return;
+      //========= Absolute =====================
+      jQuery.fn['absolute' + name] = function (Args) {
+        if (!this[0]) return 0;
         a = jQuery(this[0]);
-        m = 0;
-        while (a.length > 0) {
-          val = jQuery(a).infos();
-          if (val.position != "absolute") {
-            m += name == 'Left' ? val.left : val.top;
-            m += name == 'Left' ? val.margin.left : val.margin.top;
-            m += name == 'Left' ? val.margin.right : val.margin.bottom;
-            m += name == 'Left' ? val.borderwidth.left : val.borderwidth.top;
-            //   m += name == 'Left' ? val.borderwidth.right : val.borderwidth.bottom;
-            //   m += name == 'Left' ? val.padding.left : val.padding.top;
-            //   m += name == 'Left' ? val.padding.right : val.padding.bottom;
-            a = jQuery(a).offsetParent();
-          } else
-            break;
+        m = { Left: 0, Top: 0, Right: 0, Bottom: 0,
+          All: {
+            Left: 0, Top: 0, Right: 0, Bottom: 0
+          }
+        };
+        pos = jQuery(this).offset();
+        pos.top = Math.ceil(pos.top);
+        pos.left = Math.ceil(pos.left);
+
+        size = { width: jQuery(this).outerWidth(), height: jQuery(this).outerHeight() };
+
+        if (name == "All") {
+          m[name]['Left'] = pos.left;
+          m[name]['Top'] = pos.top;
+          m[name]['Right'] = pos.left + size.width;
+          m[name]['Bottom'] = pos.top + size.height;
+        } else {
+         
+          if (name == 'Left' || name == 'Top') {
+            m[name] = name == 'Left' ? pos.left : (pos.top);
+          } else {
+            m[name] = name == 'Right' ? pos.left + size.width : pos.top + size.height;
+          }
+
 
         }
-        //306
-
-
-        return m;
+
+
+        return m[name];
 
 
@@ -91,5 +101,11 @@
   jQuery.fn.extend({
 
-    infos: function () {
+    infos: function (Arguments) {
+      if (!Arguments) {
+        Arguments = { pos_absolute: false, pos_externe: false };
+
+      }
+      Args = { pos_absolute: Arguments.pos_absolute || false, pos_externe: Arguments.pos_externe || false };
+
       var width = 0, height = 0;
       var elem = jQuery(this).get(0);
@@ -118,5 +134,5 @@
       myposition = "";
       results = {
-        visible:false ,
+        visible: false,
         position: "",
         top: 0,
@@ -136,5 +152,5 @@
           bottom: 0
         },
-       
+
         exterieur: {
           width: 0,
@@ -143,5 +159,5 @@
           bottom: 0
         },
-    
+
         general: {
           width: 0,
@@ -149,14 +165,14 @@
           right: 0,
           bottom: 0,
-          marges: { height:0,
-                    top: 0,
-                    bottom: 0,
-                    width: 0,
-                    left: 0,
-                    right: 0
-                    }
-                },
-        src:"",
-        useMap : "" ,
+          marges: { height: 0,
+            top: 0,
+            bottom: 0,
+            width: 0,
+            left: 0,
+            right: 0
+          }
+        },
+        src: "",
+        useMap: "",
         id: "",
         nodeName: ""
@@ -177,4 +193,7 @@
           out_width = width;
           out_height = height;
+          in_width = width; ;
+          in_height = height;
+
         } else {
 
@@ -183,12 +202,11 @@
           out_width = jQuery(elem).outerWidth();
           out_height = jQuery(elem).outerHeight();
+          in_width = jQuery(elem).innerWidth();
+          in_height = jQuery(elem).innerHeight();
           elem_parent = elem.parentElement;
           if (typeof elem_parent == "undefined") {
             elem_parent = window;
           }
-          out_width = jQuery(elem).outerWidth();
-          out_height = jQuery(elem).outerHeight();
-          in_width = jQuery(elem).innerWidth();
-          in_height = jQuery(elem).innerHeight();
+
           if (typeof Css.width != "undefined")
             width = Get_Val_int(Css.width, jQuery(elem_parent).width(), 0);
@@ -236,11 +254,39 @@
         } else {
           Cl_Position = jQuery(elem).d_position();
+
+          /*
+          margin: 5px; 
+          border: 10px ;
+          padding: 20px; 
+
+          */
+          s_elem = elem;
+          Left = Cl_Position.left; //  291
+          Top = Cl_Position.top; // 812
+          if (Args.pos_absolute == true) {
+
+            all = jQuery(elem).absoluteAll();
+
+            Top = all.Top;
+            Left = all.Left;
+            Args.pos_externe = false;
+          }
+
+          if (Args.pos_externe == true) {
+            if (elem.tagName != "BODY") {
+              nodeName = nodeName || "";
+              L1 = jQuery(elem).position();  // sans les marges ;
+              L2 = jQuery(elem).position(true); //  296 x 817 
+              Left = L1.left;
+              Top = L1.top;
+            }
+
+          }
+
+          elem = s_elem;
         }
-        Left = Cl_Position.left;
-        Top = Cl_Position.top;
-
         visible = jQuery(elem).is(':visible');
-        results = { 
-          useMap : elem.useMap || "none",
+        results = {
+          useMap: elem.useMap || "none",
           src: elem.src || "none",
           visible: visible || false,
@@ -279,11 +325,11 @@
                       margin.bottom + borderwidth.bottom +
                       padding.bottom,
-                      top:  margin.top +
+              top: margin.top +
                             borderwidth.top +
                             padding.top,
-                      bottom: margin.bottom +
+              bottom: margin.bottom +
                        borderwidth.bottom +
                         padding.bottom,
-                      width:  margin.left +
+              width: margin.left +
                               borderwidth.left +
                               padding.left +
@@ -291,14 +337,14 @@
                               borderwidth.right +
                               padding.right,
-                      left: margin.left +
+              left: margin.left +
                             borderwidth.left +
                             padding.left,
-                      right: margin.right +
+              right: margin.right +
                              borderwidth.right +
                              padding.right
-                    }
+            }
           },
           id: id,
-          nodeName: nodeName
+          nodeName: nodeName || ""
         };
 
@@ -350,8 +396,16 @@
     */
     offsetParent: function () {
-      var offsetParent = this[0].offsetParent;
-      while (offsetParent && (!/^body|html$/i.test(offsetParent.tagName) && jQuery.css(offsetParent, 'position') == 'static'))
-        offsetParent = offsetParent.offsetParent;
-      return jQuery(offsetParent);
+      if (this[0] == window) return;
+      try {
+
+        n1 = this[0].nodeName;
+        var offsetParent = this[0].offsetParent;
+
+        while (offsetParent && (!/^body|html$/i.test(offsetParent.tagName) && jQuery.css(offsetParent, 'position') == 'static'))
+          offsetParent = offsetParent.offsetParent;
+        return jQuery(offsetParent);
+      } catch (e) {
+        jQuery(offsetParent);
+      }
     },
     // getStyles(Obj) Récupérer la valeur CSS 
@@ -485,6 +539,6 @@
   };
 
- // myjQuery = jQuery;
- // my$ = $;
+  // myjQuery = jQuery;
+  // my$ = $;
 
 })(jQuery);
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 17191)
+++ /extensions/Autosize/main.inc.php	(revision 17192)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: auto
+Version: 2.04
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
@@ -33,6 +33,7 @@
 $autosize_controler = new autosize_controler();
 add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
+ 
 
-// add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20  );	
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL+21  );	
 
 add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL+21  );
@@ -40,5 +41,6 @@
 add_event_handler('loc_end_page_tail',array(&$autosize_controler, 'cl_autosize_script_2'),  EVENT_HANDLER_PRIORITY_NEUTRAL );
 
-
+//add_event_handler('loc_after_page_header', array(&$autosize_controler, 'autosize_calcContent'),  EVENT_HANDLER_PRIORITY_NEUTRAL-1, 20  );
+add_event_handler('render_element_content', array(&$autosize_controler, 'autosize_calcContent'),40,2);
 
 ?>
